Sign inGet started

Sender Profiles

GET
/workspaces/{workspaceId}/sender-profiles
Retrieve a list of sender profiles associated with the account
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.name
string
obbligatorio
results.email
object
Mostra attributi secondari
results.email.username
string
obbligatorio
results.email.domain
string
obbligatorio
results.allowedEntities
array of object
Mostra attributi secondari
results.allowedEntities.entityType
string
obbligatorio
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
obbligatorio
results.channelId
string
obbligatorio
results.signature
string
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/sender-profiles
Create a new sender profile, defining its name, and other attributes.
Payload della richiesta
name
string
obbligatorio
username
string
allowedEntities
array of object
Mostra parametri secondari
allowedEntities.entityType
string
obbligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obbligatorio
channelId
string
obbligatorio
signature
string
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Retrieve information about a specific sender profile, including its name, and other attributes.
Payload della risposta
id
string
obbligatorio
name
string
obbligatorio
email
object
Mostra attributi secondari
email.username
string
obbligatorio
email.domain
string
obbligatorio
allowedEntities
array of object
Mostra attributi secondari
allowedEntities.entityType
string
obbligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obbligatorio
channelId
string
obbligatorio
signature
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Modify the details of a specific sender profile, such as its name or other attributes.
Payload della richiesta
name
string
username
string
signature
string
allowedEntities
array of object
Mostra parametri secondari
allowedEntities.entityType
string
obbligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obbligatorio
channelId
string
Payload della risposta
id
string
obbligatorio
name
string
obbligatorio
email
object
Mostra attributi secondari
email.username
string
obbligatorio
email.domain
string
obbligatorio
allowedEntities
array of object
Mostra attributi secondari
allowedEntities.entityType
string
obbligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obbligatorio
channelId
string
obbligatorio
signature
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Remove a specific sender profile.
Esempio di codice
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/signature-variables
Retrieve a list of variables to use for signature configuration in sender profile.
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
results.name
string
results.defaultDescription
string
results.variable
string
results.category
string
results.replacementAttribute
string
results.langDescription
object
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/signature-variables' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/users/{userId}/sender-profiles
Retrieve a list of sender profiles associated with a user.
Parametri di query
channelId
string
Filter by channelId
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.name
string
obbligatorio
results.email
object
Mostra attributi secondari
results.email.username
string
obbligatorio
results.email.domain
string
obbligatorio
results.allowedEntities
array of object
Mostra attributi secondari
results.allowedEntities.entityType
string
obbligatorio
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
obbligatorio
results.channelId
string
obbligatorio
results.signature
string
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/users/{userId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'